import service from '@/utils/request'

export const getTab = (data) => {
  return service({
    url: '/mes_server/packaging_process_output/getTab',
    method: 'get',
    data
  })
}

export const getList = (params) => {
  return service({
    url: '/mes_server/packaging_process_output/getList',
    method: 'get',
    params
  })
}

export const getInspectCount = (data) => {
  return service({
    url: '/mes_server/inspect/getInspectCount',
    method: 'get',
    data
  })
}

export const getDateList = (params) => {
  return service({
    url: '/mes_server/inspect/getDateList',
    method: 'get',
    params
  })
}


export const getMachineCount = (data) => {
  return service({
    url:'/mes_server/inspect/getMachineCount',
    method: 'get',
    data
  })
}
export const getDateMachine = (params) => {
  return service({
    url:'/mes_server/inspect/getDateMachine',
    method: 'get',
    params
  })
}


//机台生产日报表维护
//新增
export const productionadd = (data) => {
  return service({
    url:'/mes_server/machine_production_report/add',
    method: 'post',
    data
  })
}
export const getproductionCount = (data) => {
  return service({
    url:'/mes_server/machine_production_report/getTab',
    method: 'get',
    data
  })
}
//机台生产日报表维护附加
//新增
export const reportadd = (data) => {
  return service({
    url:'/mes_server/machine_production_report_add/add',
    method: 'post',
    data
  })
}
export const getproductionList = (params) => {
  return service({
    url:'/mes_server/machine_production_report/getList',
    method: 'get',
    params
  })
}


export const getproductionaddCount = (data) => {
  return service({
    url:'/mes_server/machine_production_report_add/getTab',
    method: 'get',
    data
  })
}

export const getproductionaddList = (params) => {
  return service({
    url:'/mes_server/machine_production_report_add/getList',
    method: 'get',
    params
  })
}

export const locate = (params) => {
  return service({
    url:'/mes_server/packaging_process_output/locate',
    method: 'get',
    params
  })
}

export const getInfo = (params) => {
  return service({
    url:'/mes_server/packaging_process_output/getInfo',
    method: 'get',
    params
  })
}

export const getGxMc = (params) => {
  return service({
    url:'/mes_server/packaging_process_output/getGxMc',
    method: 'get',
    params
  })
}


export const edit = (params) => {
  return service({
    url:'/mes_server/packaging_process_output/edit',
    method: 'post',
    params
  })
}


export const del = (params) => {
  return service({
    url:'/mes_server/packaging_process_output/del',
    method: 'post',
    params
  })
}


export const machineLocate = (params) => {
  return service({
    url:'/mes_server/inspect/machineLocate',
    method: 'get',
    params
  })
}

export const MachineInfo = (params) => {
  return service({
    url:'/mes_server/inspect/getMachineInfo',
    method: 'get',
    params
  })
}


export const getYg = (params) => {
  return service({
    url:'/mes_server/packaging_count_document/getYg',
    method: 'get',
    params
  })
}


export const getMachineGxMc = (params) => {
  return service({
    url:'/mes_server/inspect/getMachineGxMc',
    method: 'get',
    params
  })
}


export const getMachineDedh = (params) => {
  return service({
    url:'/mes_server/inspect/getMachineDedh',
    method: 'get',
    params
  })
}

export const getMachineScrapFactor = (params) => {
  return service({
    url:'/mes_server/inspect/getMachineScrapFactor',
    method: 'get',
    params
  })
}

export const machineAdd = (data) => {
  return service({
    url:'/mes_server/inspect/machineAdd',
    method: 'post',
    data
  })
}

export const packagingAdd = (data) => {
  return service({
    url:'/mes_server/packaging_process_output/add',
    method: 'post',
    data
  })
}

export const getJtbh = (params) => {
  return service({
    url:'/mes_server/inspect/getJtbh',
    method: 'get',
    params
  })
}

export const machineEdit = (params) => {
  return service({
    url:'/mes_server/inspect/machineEdit',
    method: 'post',
    params
  })
}


export const machineDel = (params) => {
  return service({
    url:'/mes_server/inspect/machineDel',
    method: 'post',
    params
  })
}
//手工检验
//定位
export const  shougonglocate= (params) => {
  return service({
    url:'/mes_server/inspect/locate',
    method: 'get',
    params
  })
}
//获取详细信息
export const  shougonggetInfo= (params) => {
  return service({
    url:'/mes_server/inspect/getInfo',
    method: 'get',
    params
  })
}
//查询印件工序及产品名称
export const  shougonggetGxMc= (params) => {
  return service({
    url:'/mes_server/inspect/getGxMc',
    method: 'get',
    params
  })
}
//获取定额代号
export const  shougonggetDedh= (params) => {
  return service({
    url:'/mes_server/inspect/getDedh',
    method: 'get',
    params
  })
}
//查询废品系数
export const  shougonggetScrapFactor= (params) => {
  return service({
    url:'/mes_server/inspect/getScrapFactor',
    method: 'get',
    params
  })
}
//修改
export const  shougongedit= (params) => {
  return service({
    url:'/mes_server/inspect/edit',
    method: 'post',
    params
  })
}
//删除
export const  shougongdel= (params) => {
  return service({
    url:'/mes_server/inspect/del',
    method: 'post',
    params
  })
}
//按工单显示
export const  getInspectCountByGdbh= (params) => {
  return service({
    url:'/mes_server/inspect/getInspectCountByGdbh',
    method: 'get',
    params
  })
}
//新增
export const  inspectadd= (data) => {
  return service({
    url:'/mes_server/inspect/add',
    method: 'post',
    data
  })
}
//机台生产日报表维护附加
//获取详细信息
export const  addgetInfo= (params) => {
  return service({
    url:'/mes_server/machine_production_report_add/getInfo',
    method: 'get',
    params
  })
}
//获取机台
export const  addgetJtbh= (params) => {
  return service({
    url:'/mes_server/machine_production_report_add/getJtbh',
    method: 'get',
    params
  })
}
//修改
export const  addedit= (params) => {
  return service({
    url:'/mes_server/machine_production_report_add/edit',
    method: 'post',
    params
  })
}
//删除
export const  adddel= (params) => {
  return service({
    url:'/mes_server/machine_production_report_add/del',
    method: 'post',
    params
  })
}
//按工单显示
export const  getMachineCountByGdbh= (params) => {
  return service({
    url:'/mes_server/inspect/getMachineCountByGdbh',
    method: 'get',
    params
  })
}
//机台日报表维护
//定位
export const  productionlocate= (params) => {
  return service({
    url:'/mes_server/machine_production_report/locate',
    method: 'get',
    params
  })
}
//按工单显示
export const  productionByGdbh= (params) => {
  return service({
    url:'/mes_server/machine_production_report/getTabByGdbh',
    method: 'get',
    params
  })
}
//获取详细信息
export const  productionInfo= (params) => {
  return service({
    url:'/mes_server/machine_production_report/getInfo',
    method: 'get',
    params
  })
}
//获取工单名称
export const  productionGdmc= (params) => {
  return service({
    url:'/mes_server/machine_production_report/getGdmc',
    method: 'get',
    params
  })
}
//获取印件名称
export const  productionYjmc= (params) => {
  return service({
    url:'/mes_server/machine_production_report/getYjmc',
    method: 'get',
    params
  })
}
//获取工序信息
export const  productionGx= (params) => {
  return service({
    url:'/mes_server/machine_production_report/getGx',
    method: 'get',
    params
  })
}
//获取定额代号
export const  productionDedh= (params) => {
  return service({
    url:'/mes_server/machine_production_report/getDedh',
    method: 'get',
    params
  })
}
//修改
export const  productionedit= (params) => {
  return service({
    url:'/mes_server/machine_production_report/edit',
    method: 'post',
    params
  })
}
//删除
export const  productiondel= (params) => {
  return service({
    url:'/mes_server/machine_production_report/del',
    method: 'post',
    params
  })
}
//员工日工资
//员工日工资查询侧边栏
export const  dailygetTab= () => {
  return service({
    url:'/mes_server/employee_daily_salary/getTab',
    method: 'get',
  })
}
//员工日工资查询上侧列表
export const  dailygetList= (params) => {
  return service({
    url:'/mes_server/employee_daily_salary/getList',
    method: 'get',
	params
  })
}
//员工日工资查询下侧列表
export const  dailygetAllList= (params) => {
  return service({
    url:'/mes_server/employee_daily_salary/getAllList',
    method: 'get',
	params
  })
}
//每日工资统计
export const  statistics= (params) => {
  return service({
    url:'/mes_server/employee_daily_salary/statistics',
    method: 'get',
	params
  })
}
//月度计时工资调整
export const  wageAdjustment= (params) => {
  return service({
    url:'/mes_server/employee_daily_salary/wageAdjustment',
    method: 'get',
	params
  })
}
//员工计件明细
export const  getPieceDetail= (params) => {
  return service({
    url:'/mes_server/employee_daily_salary/getPieceDetail',
    method: 'get',
	params
  })
}
//员工日工资查询详情
export const  dailygetDetail= (params) => {
  return service({
    url:'/mes_server/employee_daily_salary/getDetail',
    method: 'get',
	params
  })
}
//员工定位
export const  dailysearch= (params) => {
  return service({
    url:'/mes_server/employee_daily_salary/search',
    method: 'get',
	params
  })
}
//成品入仓
//侧边栏
export const  finishedTab= (params) => {
  return service({
    url:'/mes_server/finished_product_warehousing/getTab',
    method: 'get',
	params
  })
}
//侧边栏 根据工单
export const  finishedTabByGdbh= (params) => {
  return service({
    url:'/mes_server/finished_product_warehousing/getTabByGdbh',
    method: 'get',
	params
  })
}
//列表
export const  finishedList= (params) => {
  return service({
    url:'/mes_server/finished_product_warehousing/getList',
    method: 'get',
	params
  })
}
//定位
export const  finishedlocate= (params) => {
  return service({
    url:'/mes_server/finished_product_warehousing/locate',
    method: 'get',
	params
  })
}
//获取详细信息
export const  finishedInfo= (params) => {
  return service({
    url:'/mes_server/finished_product_warehousing/getInfo',
    method: 'get',
	params
  })
}
//获取仓库信息
export const  finishedgetCk= (params) => {
  return service({
    url:'/mes_server/finished_product_warehousing/getCk',
    method: 'get',
	params
  })
}
//新增
export const  finishedadd= (data) => {
  return service({
    url:'/mes_server/finished_product_warehousing/add',
    method: 'post',
	data
  })
}
//各日统计
export const  getDayList= (params) => {
  return service({
    url:'/mes_server/finished_product_warehousing/getDayList',
    method: 'get',
	params
  })
}
//入仓末板数据统计
export const  mbList= (params) => {
  return service({
    url:'/mes_server/finished_product_warehousing/mbList',
    method: 'get',
	params
  })
}
//获取工单信息
export const  finishedgetGd= (params) => {
  return service({
    url:'/mes_server/finished_product_warehousing/getGd',
    method: 'get',
	params
  })
}
//查询工单数量
export const  finishedgetGdsl= (params) => {
  return service({
    url:'/mes_server/finished_product_warehousing/getGdsl',
    method: 'get',
	params
  })
}
//删除
export const  finisheddel= (params) => {
  return service({
    url:'/mes_server/finished_product_warehousing/del',
    method: 'post',
	params
  })
}
//设备运行跟踪
//左侧菜单
export const  facilityTab= (params) => {
  return service({
    url:'/mes_server/facility/getTab',
    method: 'get',
	params
  })
}
//当日上报产量
export const  facilitychanLiang= (params) => {
  return service({
    url:'/mes_server/facility/chanLiang',
    method: 'get',
	params
  })
}
//当日制程检验记录
export const  facilityInspect= (params) => {
  return service({
    url:'/mes_server/facility/Inspect',
    method: 'get',
	params
  })
}
//设备工作清单
export const  facilityWorklist= (params) => {
  return service({
    url:'/mes_server/facility/EquipmentWorklist',
    method: 'get',
	params
  })
}
//印件、工序、完成数量
export const  facilityProcedure= (params) => {
  return service({
    url:'/mes_server/facility/Procedure',
    method: 'get',
	params
  })
}
//机台印版领用->左侧菜单
export const  facilityPrintGetTab= (params) => {
  return service({
    url:'/mes_server/facility/PrintGetTab',
    method: 'get',
	params
  })
}
//机台印版领用->右侧详情
export const  facilityPrintDetail= (params) => {
  return service({
    url:'/mes_server/facility/PrintDetail',
    method: 'get',
	params
  })
}
//当前生产订单
export const  facilityProduction= (params) => {
  return service({
    url:'/mes_server/facility/Production',
    method: 'get',
	params
  })
}
//管理人员现场巡检记录->展示
export const  fieldInspectionRecord= (params) => {
  return service({
    url:'/mes_server/facility/FieldInspectionRecord',
    method: 'get',
	params
  })
}
//班组人员及分配比例
export const  facilityTeam= (params) => {
  return service({
    url:'/mes_server/facility/Team',
    method: 'get',
	params
  })
}
//当班产量明细
export const  facilityDetail= (params) => {
  return service({
    url:'/mes_server/facility/OutputDetail',
    method: 'get',
	params
  })
}
//检验记录
export const  inspectionRecord= (params) => {
  return service({
    url:'/mes_server/facility/InspectionRecord',
    method: 'get',
	params
  })
}
//班组维护->机台编号下拉框
export const  facilityMachineList= (params) => {
  return service({
    url:'/mes_server/facility/MachineList',
    method: 'get',
	params
  })
}
//设备点检->检验项目
export const  facilityInspectionItem= (params) => {
  return service({
    url:'/mes_server/facility/InspectionItem',
    method: 'get',
	params
  })
}
//设备点检->左侧菜单栏
export const  facilitySpotCheckItem= (params) => {
  return service({
    url:'/mes_server/facility/SpotCheckItem',
    method: 'get',
	params
  })
}
//客诉记录
export const  ComplaintRecord= (params) => {
  return service({
    url:'/mes_server/facility/ComplaintRecord',
    method: 'get',
	params
  })
}
//关联工资核算
//设备点检->左侧菜单栏
export const  relatedTab= (params) => {
  return service({
    url:'/mes_server/related_salary_accounting/getTab',
    method: 'get',
	params
  })
}
//关联工资核算上侧列表
export const  relatedList= (params) => {
  return service({
    url:'/mes_server/related_salary_accounting/getList',
    method: 'get',
	params
  })
}
//定位
export const  relatedsearch= (params) => {
  return service({
    url:'/mes_server/related_salary_accounting/search',
    method: 'get',
	params
  })
}
//关联工资核算下侧列表
export const  relatedAllList= (params) => {
  return service({
    url:'/mes_server/related_salary_accounting/getAllList',
    method: 'get',
	params
  })
}
//关联组员权重查询
export const  weightDetail= (params) => {
  return service({
    url:'/mes_server/related_salary_accounting/weightDetail',
    method: 'get',
	params
  })
}
//关联工资设置
export const  setting= (params) => {
  return service({
    url:'/mes_server/related_salary_accounting/setting',
    method: 'get',
	params
  })
}
//更新关联系数
export const  updateNum= (params) => {
  return service({
    url:'/mes_server/related_salary_accounting/updateNum',
    method: 'get',
	params
  })
}
//批量附加组员定位
export const  batchAddSearch= (params) => {
  return service({
    url:'/mes_server/related_salary_accounting/batchAddSearch',
    method: 'get',
	params
  })
}
//批量附加组员列表
export const  batchAddLst= (params) => {
  return service({
    url:'/mes_server/related_salary_accounting/batchAddLst',
    method: 'get',
	params
  })
}
//关联组员复制列表
export const  copyLst= (params) => {
  return service({
    url:'/mes_server/related_salary_accounting/copyLst',
    method: 'get',
	params
  })
}
//批量附加组员
export const  batchAdd= (data) => {
  return service({
    url:'/mes_server/related_salary_accounting/batchAdd',
    method: 'post',
	data
  })
}
//批量删除组员
export const  batchDel= (data) => {
  return service({
    url:'/mes_server/related_salary_accounting/batchDel',
    method: 'post',
	data
  })
}
//关联组员复制
export const  copy= (data) => {
  return service({
    url:'/mes_server/related_salary_accounting/copy',
    method: 'post',
	data
  })
}
//车间报工
//获取机台生产信息
export const  reportProduceInfo= (params) => {
  return service({
    url:'/mes_server/reporting_work/getProduceInfo',
    method: 'get',
	params
  })
}
//获取员工姓名
export const  reportName= (params) => {
  return service({
    url:'/mes_server/reporting_work/getStaffName',
    method: 'get',
	params
  })
}
//获取报工单其他信息
export const  reportInfo= (params) => {
  return service({
    url:'/mes_server/reporting_work/getMachineReportInfo',
    method: 'get',
	params
  })
}
//获取机台编号
export const  reportMachineMac= (params) => {
  return service({
    url:'/mes_server/reporting_work/getMachineMac',
    method: 'get',
	params
  })
}
//设置工单工序完工
export const setProcessStatus = (data) => {
  return service({
    url:'/mes_server/reporting_work/setProcessStatus',
    method: 'post',
    data
  })
}
//设置机台状态
export const SetMachineStatus = (params) => {
  return service({
    url:'/mes_server/reporting_work/setMachineStatus',
    method: 'post',
    params
  })
}
//日产量上报
export const submitDailyProduction = (data) => {
  return service({
    url:'/mes_server/reporting_work/submitDailyProduction',
    method: 'post',
    data
  })
}
//提交巡查记录
export const submitPatrolRecord = (data) => {
  return service({
    url:'/mes_server/reporting_work/submitPatrolRecord',
    method: 'post',
    data
  })
}
//设置机台状态
export const setMachineStatus = (data) => {
  return service({
    url:'/mes_server/reporting_work/setMachineStatus',
    method: 'post',
    data
  })
}
//获取机台编号
export const getMachineMac = (params) => {
  return service({
    url:'/mes_server/reporting_work/getMachineMac',
    method: 'get',
    params
  })
}
export const InspectionItemAdd = (data) => {
  return service({
    url:'/mes_server/facility/InspectionItemAdd',
    method: 'post',
    data
  })
}
export const ProcessInspectionRecordsItem = (params) => {
  return service({
    url:'/mes_server/facility/ProcessInspectionRecordsItem',
    method: 'get',
    params
  })
}
export const MachineDetailList = (params) => {
  return service({
    url:'/mes_server/facility/MachineDetailList',
    method: 'get',
    params
  })
}

//获取机台
export const  reportGetJtbh= (params) => {
  return service({
    url:'/mes_server/machine_production_report/getJtbh',
    method: 'get',
    params
  })
}
//定额代号查询比例
export const  dedhGetRate= (params) => {
  return service({
    url:'/mes_server/machine_production_report/dedhGetRate',
    method: 'get',
    params
  })
}
//设备运行跟踪---换型清场
export const remodelGetTab = (data) => {
  return service({
    url: '/mes_server/facility/remodelGetTab',
    method: 'get',
    data
  })
}
export const ModelChangeRecord = (params) => {
  return service({
    url: '/mes_server/facility/ModelChangeRecord',
    method: 'get',
    params
  })
}

export const index = (params) => {
  return service({
    url: '/mes_server/Facility/index',
    method: 'get',
    params
  })
}